Module java.base
Package java.nio.file

## Class ClosedFileSystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.nio.file.ClosedFileSystemException

All Implemented Interfaces:
  Serializable

    public class ClosedFileSystemException
    extends IllegalStateException

Unchecked exception thrown when an attempt is made to invoke an operation on a file and the file system is closed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClosedFileSystemException()` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### ClosedFileSystemException

    public ClosedFileSystemException()

Constructs an instance of this class.